Subject: Re: activating a dial-up connection from cygwin
From: Sam Edge <[email-masked]>
To: [email-masked]
Date: Fri, 25 Jul 2003 15:46:39 +0100

"Rob" <[email-masked]> wrote in
<[email-masked]>
in gmane.os.cygwin on Fri, 25 Jul 2003 10:01:28 -0400:

> Hello,
> 
> I was wondering if there was any way to activate an existing windows 2000
> dial-up connection from the cygwin command line.
> 
> The reason I want to know is because I have a shell script that
> automatically backs up files to a remote computer (which is only accessible
> through a vpn connection).  Since I don't want to maintain the VPN
> connection all the time, I need a way to start it up (and possibly shut it
> down) from the command line.

Try typing
	rasdial /help
from a command line.

It's a built-in in NT, 2k and (I think) XP and works fine for me from
CMD.EXE or bash.

There's a freeware (or perhaps shareware) version available for 9x/Me
as well. You'll have to Google for that.

Regards,
-- 
Sam Edge

--
Unsubscribe info:      http://cygwin.com/ml/#unsubscribe-simple
Problem reports:       http://cygwin.com/problems.html
Documentation:         http://cygwin.com/docs.html
FAQ:                   http://cygwin.com/faq/